<script>
    import TaskTableRowDetails from '@/Pages/Tasks/Components/TaskTableRowDetails.vue'
    export default {
        name: 'TaskTableDetails',
        props: {
            'isHidden': Boolean,
        },
        components: {
            TaskTableRowDetails,
        }
    }
</script>

<template>
    <div className="overflow-x-auto relative shadow-md sm:rounded-b">
        <table className="w-full text-sm text-right text-gray-500">
            <thead className="text-sm text-gray-100 uppercase bg-gray-900">
                <tr className="bg-gray-50 border-b">
                    <td className="py-4 px-6 text-center font-medium text-gray-900 text-base" colspan="6">التفاصيل</td>
                </tr>
                <tr>
                    <th scope="col" className="py-3 px-6">
                        تاريخ الإنشاء
                    </th>
                    <th scope="col" className="py-3 px-6">
                        من
                    </th>
                    <!-- <th scope="col" className="py-3 px-6">
                        إلى
                    </th> -->
                    <th scope="col" className="py-3 px-6">
                        التفاصيل
                    </th>
                    <!-- <th scope="col" className="py-3 px-6">
                        ملف ملحق
                    </th> -->
                    <th scope="col" className="py-3 px-6" :hidden="isHidden">
                        <span className="sr-only">Edit</span>
                    </th>
                </tr>
            </thead>
            <tbody>
                <slot />
            </tbody>
        </table>
    </div>
</template>
